﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _612725DragAndDropXML : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
    }

    protected void Page_Load(object sender, EventArgs e)
    {

        RadOrgChart1.LoadContentFile("~/RadOrgChart.xml");
        RadOrgChart1.EnableDragAndDrop = true;
        RadOrgChart1.EnableDrillDown = true;
        RadOrgChart1.EnableCollapsing = true;
        RadOrgChart1.EnableGroupCollapsing = true;
    }

    public void RadOrgChart1_GroupItemDropped(object sender, OrgChartGroupItemDropEventArguments e)
    {
        Label1.Text = DateTime.Now.ToString();
    }

    protected void RadOrgChart1_NodeDropped(object sender, OrgChartNodeDropEventArguments e)
    {
        // Not firing!!!
        Label1.Text = DateTime.Now.ToString();
        Console.WriteLine(e);
    }

    protected void RadOrgChart1_NodeDataBound(object sender, OrgChartNodeDataBoundEventArguments e)
    {
        // Not firing!!!
        // this event is fired only when the RadOrgChart control is bound. E.g. RadOrgChart1.DataBind() should be called.
        Console.WriteLine(e);
    }

    protected void RadOrgChart1_DataBound(object sender, EventArgs e)
    {
        // Not firing!!!
        // this event is fired only when the RadOrgChart control is bound. E.g. RadOrgChart1.DataBind() should be called.
        Console.WriteLine(e);
    }
}